Skip to content
Start here

SSL/TLS Recommendation

Deprecated
client.SSL.Recommendations.Get(ctx, query) (*RecommendationGetResponse, error)
GET/zones/{zone_id}/ssl/recommendation

Retrieve the SSL/TLS Recommender's recommendation for a zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings WriteZone Settings ReadSSL and Certificates WriteSSL and Certificates Read
ParametersExpand Collapse
query RecommendationGetParams
ZoneID param.Field[string]
maxLength32
ReturnsExpand Collapse
type RecommendationGetResponse struct{…}
ID string
Editable bool

Whether this setting can be updated or not.

ModifiedOn Time

Last time this setting was modified.

formatdate-time
Value RecommendationGetResponseValue

Current setting of the automatic SSL/TLS.

One of the following:
const RecommendationGetResponseValueAuto RecommendationGetResponseValue = "auto"
const RecommendationGetResponseValueCustom RecommendationGetResponseValue = "custom"
NextScheduledScan Timeoptional

Next time this zone will be scanned by the Automatic SSL/TLS.

formatdate-time

SSL/TLS Recommendation

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/ssl"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  recommendation, err := client.SSL.Recommendations.Get(context.TODO(), ssl.RecommendationGetParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", recommendation.ID)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "ssl_automatic_mode",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "auto",
    "next_scheduled_scan": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "ssl_automatic_mode",
    "editable": true,
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "value": "auto",
    "next_scheduled_scan": "2014-01-01T05:20:00.12345Z"
  },
  "success": true
}